Subject: Re: 'git bisect run' not fully automatic when a merge base must be tested

From: Junio C Hamano <[email-masked]>
Date: Sun, 24 Mar 2024 14:42:08 -0700

Christian Couder <[email-masked]> writes:

> I think the merge bases should only be checked at the beginning of a
> bisection. So it is strange that it happened so late after it was
> started.

Using cherry-pick to alter the shape of the history being bisected
may confuse the algorithm to find the next step to test.  But if it
is not "confused" but "due to dynamic expansion of the search space,
we ended up in a forked history that requires a merge-base test"
that is a legitimate condition, then I tend to agree with Philippe
that it should be automatically tested during "bisect run".